var rootSchema = "scalar AnyObject\nscalar Date\nscalar Time\nscalar DateTime\nscalar Timestamp\nscalar URI\nscalar URIInput\nscalar Observable\nscalar JSON\nscalar JSONObject\n\n\n\"\"\"\n An object with an ID.\n\"\"\"\ninterface Node {\n    \"\"\"\n    The ID of the node.\n    \"\"\"\n    id: ID!\n}\n\n# Pagination information. See https://facebook.github.io/relay/graphql/connections.htm#sec-undefined.PageInfo.\ntype PageInfo {\n    # Whether there is a next page of nodes in the connection.\n    hasNextPage: Boolean!\n}\n\n\"\"\"\n Represents a null return value.\n\"\"\"\ntype EmptyResponse {\n    # A dummy null value.\n    alwaysNil: String\n}\n\ntype FieldError {\n  field: String!\n  message: String!\n}\n\ninput Sort{\n    key: String!,\n    value: SortEnum!,\n}\n\nenum SortEnum{\n    ASC,\n    DESC\n}\n\ntype Query {\n    \"\"\"\n     Looks up a node by ID.\n    \"\"\"\n    node(id: ID!): Node\n\n}\n\ntype Mutation {\n    dummy: Int\n}\n\ntype Subscription {\n    dummy: Int\n}\n\n\ntype AdminIdeSettings {\n    dummy: Int\n}\n\n\"\"\" All Moleculer Topic names are extended from this.\"\"\"\nenum MoleculerServiceName {\n    dummy\n}\n\n#interface Node {\n#      id: ID!\n#}\n\n\nschema {\n    query: Query\n    mutation: Mutation\n    subscription: Subscription\n}\n\n";
export{rootSchema as default};//# sourceMappingURL=root-schema.graphqls.js.map
